
From: Hirokazu Takata <takata.hirokazu@renesas.com>

Here is a patch for m32r's ELF machine code.  And also change from "Hitachi
H8/300" to "Renesas H8/300"(*).

  (*) The SuperH, M32R and H8* - now these are all Renesas's products.

Signed-off-by: Hirokazu Takata <takata@linux-m32r.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/elf.h |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletion(-)

diff -puN include/linux/elf.h~m32r-add-elf-machine-code include/linux/elf.h
--- 25/include/linux/elf.h~m32r-add-elf-machine-code	2004-09-03 22:37:16.426739632 -0700
+++ 25-akpm/include/linux/elf.h	2004-09-03 22:37:16.430739024 -0700
@@ -88,7 +88,9 @@ typedef __s64	Elf64_Sxword;
 
 #define EM_V850		87	/* NEC v850 */
 
-#define EM_H8_300       46      /* Hitachi H8/300,300H,H8S */
+#define EM_M32R		88	/* Renesas M32R */
+
+#define EM_H8_300       46      /* Renesas H8/300,300H,H8S */
 
 /*
  * This is an interim value that we will use until the committee comes
@@ -99,6 +101,9 @@ typedef __s64	Elf64_Sxword;
 /* Bogus old v850 magic number, used by old tools.  */
 #define EM_CYGNUS_V850	0x9080
 
+/* Bogus old m32r magic number, used by old tools.  */
+#define EM_CYGNUS_M32R	0x9041
+
 /*
  * This is the old interim value for S/390 architecture
  */
_
